# Terminate subscription

## POST /public/v1/commerce/subscriptions/{id}/terminate

> Terminates an existing subscription.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5243-ga0bb7c09"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/commerce/subscriptions/{id}/terminate":{"post":{"tags":["Subscriptions"],"summary":"Terminates an existing subscription.","parameters":[{"name":"id","in":"path","description":"Subscription id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Termination details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Subscription"}},"text/json":{"schema":{"$ref":"#/components/schemas/Subscription"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Subscription"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Subscription"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"Subscription":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/SubscriptionAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"startDate":{"type":"string","format":"date-time"},"terminationDate":{"type":"string","format":"date-time","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"autoRenew":{"type":"boolean"},"status":{"allOf":[{"$ref":"#/components/schemas/SubscriptionStatus"}]},"commitmentDate":{"type":"string","format":"date-time"},"price":{"allOf":[{"$ref":"#/components/schemas/SubscriptionSummaryPrice"}]},"parameters":{"allOf":[{"$ref":"#/components/schemas/SubscriptionParameterBag"}]},"agreement":{"type":"object","allOf":[{"$ref":"#/components/schemas/AgreementRef"}]},"buyer":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerRef"}]},"licensee":{"type":"object","allOf":[{"$ref":"#/components/schemas/LicenseeRef"}]},"seller":{"type":"object","allOf":[{"$ref":"#/components/schemas/SellerRef"}]},"split":{"type":"object","allOf":[{"$ref":"#/components/schemas/SplitBillingSubscriptionRef"}]},"splitStatus":{"allOf":[{"$ref":"#/components/schemas/SplitStatus"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/AgreementLine"},"nullable":true},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]}},"additionalProperties":false},"SubscriptionAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"expired":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"renewed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ExternalIds":{"type":"object","properties":{"client":{"type":"string","nullable":true},"operations":{"type":"string","nullable":true},"vendor":{"type":"string","nullable":true}},"additionalProperties":false},"TermsEntity":{"type":"object","properties":{"model":{"enum":["one-time","usage","quantity"],"type":"string"},"period":{"enum":["1m","1y","one-time"],"type":"string"},"commitment":{"enum":["1m","1y","3y"],"type":"string","nullable":true}},"additionalProperties":false},"ProductRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"status":{"type":"string"}},"additionalProperties":false},"ProductExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true},"defaultErpItem":{"type":"string","nullable":true}},"additionalProperties":false},"SubscriptionStatus":{"enum":["Active","Updating","Terminating","Terminated","Expired"],"type":"string"},"SubscriptionSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"defaultMargin":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"MarkupSourcePrice":{"type":"object","properties":{"type":{"type":"string","nullable":true},"ref":{"allOf":[{"$ref":"#/components/schemas/MarkupSourceRefPrice"}],"nullable":true}},"additionalProperties":false},"MarkupSourceRefPrice":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"SubscriptionParameterBag":{"type":"object","properties":{"fulfillment":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true}},"additionalProperties":false},"CommerceParameter":{"type":"object","properties":{"id":{"type":"string"},"externalId":{"type":"string","nullable":true},"name":{"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/ParameterType"}]},"phase":{"allOf":[{"$ref":"#/components/schemas/ParameterPhase"}]},"scope":{"allOf":[{"$ref":"#/components/schemas/ParameterScope"}]},"multiple":{"type":"boolean"},"error":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"constraints":{"allOf":[{"$ref":"#/components/schemas/ParameterConstraints"}],"nullable":true},"displayValue":{"type":"string","nullable":true},"value":{"nullable":true}},"additionalProperties":false},"ParameterType":{"enum":["SingleLineText","MultiLineText","Address","Contact","Checkbox","Choice","Subdomain","Heading","DropDown","Email","DataObject","Date"],"type":"string"},"ParameterPhase":{"enum":["Configuration","Order","Fulfillment"],"type":"string"},"ParameterScope":{"enum":["Agreement","Item","Subscription","Order","Asset"],"type":"string"},"ParametrisedMessage":{"type":"object","properties":{"id":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"parameters":{"nullable":true}},"additionalProperties":false},"ParameterConstraints":{"type":"object","properties":{"required":{"type":"boolean"},"hidden":{"type":"boolean"},"readonly":{"type":"boolean"},"capacity":{"allOf":[{"$ref":"#/components/schemas/CapacitySettings"}],"nullable":true}},"additionalProperties":false},"CapacitySettings":{"type":"object","properties":{"min":{"type":"integer","format":"int32"},"max":{"type":"integer","format":"int32"}},"additionalProperties":false},"AgreementRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/AgreementStatus"}]}},"additionalProperties":false},"AgreementStatus":{"enum":["New","Draft","Provisioning","Updating","Active","Terminated","Failed","Deleted"],"type":"string"},"BuyerRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"LicenseeRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true}},"additionalProperties":false},"SellerRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true}},"additionalProperties":false},"SplitBillingSubscriptionRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"SplitStatus":{"enum":["Disabled","Active","Review"],"type":"string"},"AgreementLine":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/AgreementLineAudit"}]},"quantity":{"type":"integer","format":"int32"},"item":{"allOf":[{"$ref":"#/components/schemas/ProductItem"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AgreementLinePrice"}]},"order":{"allOf":[{"$ref":"#/components/schemas/Order"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AgreementLineStatus"}]},"subscription":{"allOf":[{"$ref":"#/components/schemas/Subscription"}]},"asset":{"allOf":[{"$ref":"#/components/schemas/Asset"}]},"agreement":{"allOf":[{"$ref":"#/components/schemas/Agreement"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"description":{"type":"string","nullable":true},"info":{"allOf":[{"$ref":"#/components/schemas/PriceInfo"}]}},"additionalProperties":false},"AgreementLineAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProductItem":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ProductItemAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductItemExternalIdBag"}]},"group":{"type":"object","allOf":[{"$ref":"#/components/schemas/ItemGroupRef"}]},"unit":{"type":"object","allOf":[{"$ref":"#/components/schemas/UnitOfMeasureRef"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"quantityNotApplicable":{"type":"boolean"},"status":{"type":"string"},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/ParameterValue"}}},"additionalProperties":false},"ProductItemAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"pending":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProductItemExternalIdBag":{"type":"object","properties":{"vendor":{"type":"string"},"operations":{"type":"string","nullable":true}},"additionalProperties":false},"ItemGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"UnitOfMeasureRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true}},"additionalProperties":false},"ParameterValue":{"type":"object","properties":{"id":{"type":"string"},"externalId":{"type":"string","nullable":true},"type":{"type":"string"},"multiple":{"type":"boolean"},"name":{"type":"string"},"value":{},"displayValue":{"type":"string"}},"additionalProperties":false},"AgreementLinePrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"unitSP":{"type":"number","format":"double","nullable":true},"unitPP":{"type":"number","format":"double","nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"Order":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/OrderAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/OrderType"}]},"status":{"allOf":[{"$ref":"#/components/schemas/OrderStatus"}]},"notes":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"statusNotes":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]},"listing":{"type":"object","allOf":[{"$ref":"#/components/schemas/ListingRef"}]},"authorization":{"type":"object","allOf":[{"$ref":"#/components/schemas/AuthorizationRef"}]},"agreement":{"type":"object","allOf":[{"$ref":"#/components/schemas/AgreementRef"}]},"assignee":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"price":{"allOf":[{"$ref":"#/components/schemas/OrderSummaryPrice"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLine"}},"subscriptions":{"type":"array","items":{"$ref":"#/components/schemas/OrderSubscriptionRef"}},"assets":{"type":"array","items":{"$ref":"#/components/schemas/OrderAssetRef"}},"parameters":{"allOf":[{"$ref":"#/components/schemas/ParameterBag"}]},"error":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"client":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"licensee":{"type":"object","allOf":[{"$ref":"#/components/schemas/LicenseeRef"}]},"buyer":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerRef"}]},"seller":{"type":"object","allOf":[{"$ref":"#/components/schemas/SellerRef"}]},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"billTo":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerRef"}]},"pricingPolicy":{"type":"object","allOf":[{"$ref":"#/components/schemas/PricingPolicyRef"}]},"termsAndConditions":{"type":"array","items":{"$ref":"#/components/schemas/CommerceTermsAndConditionsRef"}},"certificates":{"type":"array","items":{"$ref":"#/components/schemas/CertificateRef"}},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSource"}],"nullable":true}},"additionalProperties":false},"OrderAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"completed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"failed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"processing":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"querying":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"quoted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"OrderType":{"enum":["Purchase","Change","Termination","Configuration"],"type":"string"},"OrderStatus":{"enum":["New","Draft","Deleted","Processing","Querying","Failed","Completed","Quoted"],"type":"string"},"TemplateRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"ListingRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"name":{"type":"string"}},"additionalProperties":false},"AuthorizationRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"currency":{"type":"string"}},"additionalProperties":false},"OrderSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"OrderLine":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"oldQuantity":{"type":"integer","format":"int32"},"quantity":{"type":"integer","format":"int32"},"price":{"allOf":[{"$ref":"#/components/schemas/OrderLinePrice"}]},"item":{"allOf":[{"$ref":"#/components/schemas/ProductItem"}]},"subscription":{"allOf":[{"$ref":"#/components/schemas/OrderSubscription"}]},"asset":{"allOf":[{"$ref":"#/components/schemas/OrderAsset"}]},"agreement":{"allOf":[{"$ref":"#/components/schemas/Agreement"}]},"order":{"allOf":[{"$ref":"#/components/schemas/Order"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"description":{"type":"string","nullable":true},"info":{"allOf":[{"$ref":"#/components/schemas/PriceInfo"}]}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"OrderLinePrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"unitSP":{"type":"number","format":"double","nullable":true},"unitPP":{"type":"number","format":"double","nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"OrderSubscription":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/OrderSubscriptionAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"startDate":{"type":"string","format":"date-time"},"terminationDate":{"type":"string","format":"date-time","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"autoRenew":{"type":"boolean"},"status":{"allOf":[{"$ref":"#/components/schemas/OrderSubscriptionStatus"}]},"commitmentDate":{"type":"string","format":"date-time","nullable":true},"parameters":{"allOf":[{"$ref":"#/components/schemas/SubscriptionParameterBag"}]},"agreement":{"type":"object","allOf":[{"$ref":"#/components/schemas/AgreementRef"}]},"price":{"allOf":[{"$ref":"#/components/schemas/SubscriptionSummaryPrice"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLine"},"nullable":true},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]}},"additionalProperties":false},"OrderSubscriptionAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"OrderSubscriptionStatus":{"enum":["Draft","Active","Deleted","Updating","Terminating","Terminated"],"type":"string"},"OrderAsset":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/OrderAssetAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"status":{"allOf":[{"$ref":"#/components/schemas/AssetStatus"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AssetSummaryPrice"}]},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]},"parameters":{"allOf":[{"$ref":"#/components/schemas/AssetParameterBag"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLine"},"nullable":true}},"additionalProperties":false},"OrderAssetAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"draft":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"AssetStatus":{"enum":["New","Draft","Active","Terminated"],"type":"string"},"AssetSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"defaultMargin":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"AssetParameterBag":{"type":"object","properties":{"fulfillment":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true}},"additionalProperties":false},"Agreement":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/AgreementAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/AgreementStatus"}]},"listing":{"type":"object","allOf":[{"$ref":"#/components/schemas/ListingRef"}]},"authorization":{"type":"object","allOf":[{"$ref":"#/components/schemas/AuthorizationRef"}]},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"client":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AgreementSummaryPrice"}]},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]},"error":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/AgreementLine"},"nullable":true},"assets":{"type":"array","items":{"$ref":"#/components/schemas/AssetRef"},"nullable":true},"subscriptions":{"type":"array","items":{"$ref":"#/components/schemas/SubscriptionRef"},"nullable":true},"parameters":{"allOf":[{"$ref":"#/components/schemas/ParameterBag"}]},"licensee":{"type":"object","allOf":[{"$ref":"#/components/schemas/LicenseeRef"}]},"buyer":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerRef"}]},"seller":{"type":"object","allOf":[{"$ref":"#/components/schemas/SellerRef"}]},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"split":{"type":"object","allOf":[{"$ref":"#/components/schemas/SplitBillingAgreementRef"}]},"termsAndConditions":{"type":"array","items":{"$ref":"#/components/schemas/CommerceTermsAndConditionsRef"}},"certificates":{"type":"array","items":{"$ref":"#/components/schemas/CertificateRef"}}},"additionalProperties":false},"AgreementAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"provisioning":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AgreementSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"defaultMargin":{"type":"number","format":"double","nullable":true},"billingCurrency":{"type":"string"},"source":{"type":"string"}},"additionalProperties":false},"AssetRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/AssetStatus"}]}},"additionalProperties":false},"SubscriptionRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"ParameterBag":{"type":"object","properties":{"ordering":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true},"fulfillment":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true}},"additionalProperties":false},"SplitBillingAgreementRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"CommerceTermsAndConditionsRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"accepted":{"type":"string","format":"date-time","nullable":true},"acceptedBy":{"allOf":[{"$ref":"#/components/schemas/ExtendedIdentity"}]}},"additionalProperties":false},"ExtendedIdentity":{"type":"object","properties":{"id":{"type":"string"},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true}},"additionalProperties":false},"CertificateRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"Buyer":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/BuyerAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/BuyerStatus"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"taxId":{"type":"string","nullable":true},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ParametrisedMessage"},"nullable":true},"sellers":{"type":"array","items":{"$ref":"#/components/schemas/SellerRef"},"nullable":true}},"additionalProperties":false},"BuyerAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unassigned":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"disabled":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"BuyerExternalIds":{"type":"object","properties":{"erpCompanyContact":{"type":"string","nullable":true},"erpCustomer":{"type":"string","nullable":true},"accountExternalId":{"type":"string","nullable":true}},"additionalProperties":false},"BuyerStatus":{"enum":["Active","Enabled","Disabled","Deleted","Unassigned","Conflict","Mismatch"],"type":"string"},"Seller":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/SellerStatus"}],"nullable":true},"currencies":{"type":"array","items":{"$ref":"#/components/schemas/SellerCurrency"},"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"erpLink":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErpLinkRef"}]}},"additionalProperties":false},"SellerStatus":{"enum":["Active","Disabled","Offline","Deleted"],"type":"string"},"SellerCurrency":{"type":"object","properties":{"value":{"type":"string"},"billingEnabled":{"type":"boolean"},"isDefault":{"type":"boolean"}},"additionalProperties":false},"ErpLinkRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"companyName":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/ErpLinkStatus"}]}},"additionalProperties":false},"ErpLinkStatus":{"enum":["Active","Blocked"],"type":"string"},"Product":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ProductAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"shortDescription":{"type":"string","nullable":true},"longDescription":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"website":{"type":"string"},"status":{"type":"string"},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"settings":{"allOf":[{"$ref":"#/components/schemas/ProductSettings"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/ProductStatistics"}]}},"additionalProperties":false},"ProductAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"pending":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProductSettings":{"type":"object","properties":{"productOrdering":{"type":"boolean"},"productRequests":{"allOf":[{"$ref":"#/components/schemas/ProductRequestsSetting"}]},"itemSelection":{"type":"boolean"},"orderQueueChanges":{"type":"boolean"},"preValidation":{"allOf":[{"$ref":"#/components/schemas/PreValidationSettings"}]},"splitBilling":{"allOf":[{"$ref":"#/components/schemas/ProductSplitBillingRequestsSetting"}]},"sendCostToErp":{"type":"boolean","nullable":true},"subscriptionCessation":{"allOf":[{"$ref":"#/components/schemas/SubscriptionCessationSetting"}]}},"additionalProperties":false},"ProductRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"name":{"type":"string","nullable":true},"label":{"type":"string","nullable":true}},"additionalProperties":false},"PreValidationSettings":{"type":"object","properties":{"purchaseOrderDraft":{"type":"boolean"},"purchaseOrderQuerying":{"type":"boolean"},"changeOrderDraft":{"type":"boolean"},"configurationOrderDraft":{"type":"boolean"},"terminationOrder":{"type":"boolean"}},"additionalProperties":false},"ProductSplitBillingRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"type":{"type":"string","nullable":true}},"additionalProperties":false},"SubscriptionCessationSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"mode":{"enum":["Termination","Auto-renewal","Termination or auto-renewal"],"type":"string","nullable":true}},"additionalProperties":false},"ProductStatistics":{"type":"object","properties":{"itemCount":{"type":"integer","format":"int32"},"ordersPlacedCount":{"type":"integer","format":"int32"},"agreementCount":{"type":"integer","format":"int32"},"subscriptionCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"PriceInfo":{"type":"object","properties":{"visible":{"type":"boolean"},"description":{"type":"string","nullable":true}},"additionalProperties":false},"OrderSubscriptionRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/OrderSubscriptionStatus"}]}},"additionalProperties":false},"OrderAssetRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/AssetStatus"}]}},"additionalProperties":false},"PricingPolicyRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/PricingPolicyEligibility"}]},"products":{"type":"array","items":{"$ref":"#/components/schemas/Product"},"nullable":true}},"additionalProperties":false},"PricingPolicyEligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"MarkupSource":{"enum":["Unknown","PriceList","PricingPolicy","Manual"],"type":"string"},"AgreementLineStatus":{"enum":["Active","Terminated","Deleted","Expired"],"type":"string"},"Asset":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/AssetAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"status":{"allOf":[{"$ref":"#/components/schemas/AssetStatus"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AssetSummaryPrice"}]},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]},"parameters":{"allOf":[{"$ref":"#/components/schemas/AssetParameterBag"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"agreement":{"type":"object","allOf":[{"$ref":"#/components/schemas/AgreementRef"}]},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"priceList":{"type":"object","allOf":[{"$ref":"#/components/schemas/PriceListRef"}]},"listing":{"type":"object","allOf":[{"$ref":"#/components/schemas/ListingRef"}]},"licensee":{"type":"object","allOf":[{"$ref":"#/components/schemas/LicenseeRef"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/AgreementLine"},"nullable":true}},"additionalProperties":false},"AssetAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"draft":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PriceListRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"currency":{"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
